# Reference Documentation

## Structs

-   [ApolloCLI](structs/ApolloCLI/)
-   [ApolloCodegenOptions](structs/ApolloCodegenOptions/)
-   [ApolloSchemaDownloader](structs/ApolloSchemaDownloader/)
-   [ApolloSchemaOptions](structs/ApolloSchemaOptions/)
-   [Basher](structs/Basher/)
-   [CodegenLogger](structs/CodegenLogger/)
-   [DownloadMethod.RegistrySettings](structs/DownloadMethod.RegistrySettings/)
-   [EnumGenerator.SanitizedEnumValue](structs/EnumGenerator.SanitizedEnumValue/)
-   [FileFinder](structs/FileFinder/)
-   [GraphQLSourceLocation](structs/GraphQLSourceLocation/)
-   [InputObjectGenerator.SanitizedInputObject](structs/InputObjectGenerator.SanitizedInputObject/)
-   [InterfaceEnumGenerator.SanitizedInterfaceObject](structs/InterfaceEnumGenerator.SanitizedInterfaceObject/)
-   [SanitizedInputObject.SanitizedInputObjectField](structs/SanitizedInputObject.SanitizedInputObjectField/)
-   [SanitizedInterfaceObject.SanitizedCase](structs/SanitizedInterfaceObject.SanitizedCase/)
-   [SanitizedUnionObject.SanitizedCase](structs/SanitizedUnionObject.SanitizedCase/)
-   [UnionEnumGenerator.SanitizedUnionObject](structs/UnionEnumGenerator.SanitizedUnionObject/)

## Classes

-   [ASTNode](classes/ASTNode/)
-   [ApolloCodegen](classes/ApolloCodegen/)
-   [ApolloCodegenFrontend](classes/ApolloCodegenFrontend/)
-   [CodeGenerator](classes/CodeGenerator/)
-   [CompilationResult](classes/CompilationResult/)
-   [CompilationResult.Argument](classes/CompilationResult.Argument/)
-   [CompilationResult.Field](classes/CompilationResult.Field/)
-   [CompilationResult.FragmentDefinition](classes/CompilationResult.FragmentDefinition/)
-   [CompilationResult.FragmentSpread](classes/CompilationResult.FragmentSpread/)
-   [CompilationResult.InlineFragment](classes/CompilationResult.InlineFragment/)
-   [CompilationResult.OperationDefinition](classes/CompilationResult.OperationDefinition/)
-   [CompilationResult.SelectionSet](classes/CompilationResult.SelectionSet/)
-   [CompilationResult.VariableDefinition](classes/CompilationResult.VariableDefinition/)
-   [EnumGenerator](classes/EnumGenerator/)
-   [GraphQLAbstractType](classes/GraphQLAbstractType/)
-   [GraphQLCompositeType](classes/GraphQLCompositeType/)
-   [GraphQLDocument](classes/GraphQLDocument/)
-   [GraphQLEnumType](classes/GraphQLEnumType/)
-   [GraphQLEnumValue](classes/GraphQLEnumValue/)
-   [GraphQLError](classes/GraphQLError/)
-   [GraphQLField](classes/GraphQLField/)
-   [GraphQLInputField](classes/GraphQLInputField/)
-   [GraphQLInputObjectType](classes/GraphQLInputObjectType/)
-   [GraphQLInterfaceType](classes/GraphQLInterfaceType/)
-   [GraphQLNamedType](classes/GraphQLNamedType/)
-   [GraphQLObjectType](classes/GraphQLObjectType/)
-   [GraphQLScalarType](classes/GraphQLScalarType/)
-   [GraphQLSchema](classes/GraphQLSchema/)
-   [GraphQLSchemaValidationError](classes/GraphQLSchemaValidationError/)
-   [GraphQLSource](classes/GraphQLSource/)
-   [GraphQLUnionType](classes/GraphQLUnionType/)
-   [InputObjectGenerator](classes/InputObjectGenerator/)
-   [InterfaceEnumGenerator](classes/InterfaceEnumGenerator/)
-   [JavaScriptError](classes/JavaScriptError/)
-   [JavaScriptObject](classes/JavaScriptObject/)
-   [UnionEnumGenerator](classes/UnionEnumGenerator/)

## Enums

-   [ApolloCodegen.CodegenError](enums/ApolloCodegen.CodegenError/)
-   [ApolloCodegenOptions.AccessModifier](enums/ApolloCodegenOptions.AccessModifier/)
-   [ApolloCodegenOptions.CodeGenerationEngine](enums/ApolloCodegenOptions.CodeGenerationEngine/)
-   [ApolloCodegenOptions.CustomScalarFormat](enums/ApolloCodegenOptions.CustomScalarFormat/)
-   [ApolloCodegenOptions.OutputFormat](enums/ApolloCodegenOptions.OutputFormat/)
-   [ApolloSchemaOptions.DownloadMethod](enums/ApolloSchemaOptions.DownloadMethod/)
-   [ApolloSchemaOptions.SchemaFileType](enums/ApolloSchemaOptions.SchemaFileType/)
-   [ApolloURLError](enums/ApolloURLError/)
-   [Basher.BashError](enums/Basher.BashError/)
-   [CodegenLogger.LogLevel](enums/CodegenLogger.LogLevel/)
-   [CompilationResult.OperationType](enums/CompilationResult.OperationType/)
-   [CompilationResult.Selection](enums/CompilationResult.Selection/)
-   [EnumGenerator.EnumContextKey](enums/EnumGenerator.EnumContextKey/)
-   [EnumGenerator.EnumGenerationError](enums/EnumGenerator.EnumGenerationError/)
-   [GraphQLType](enums/GraphQLType/)
-   [InflectionRule](enums/InflectionRule/)
-   [InputObjectGenerator.InputObjectEnvironmentKey](enums/InputObjectGenerator.InputObjectEnvironmentKey/)
-   [InterfaceEnumGenerator.InterfaceEnumContextKey](enums/InterfaceEnumGenerator.InterfaceEnumContextKey/)
-   [JSONValue](enums/JSONValue/)
-   [JSONValue.JSONValueError](enums/JSONValue.JSONValueError/)
-   [UnionEnumGenerator.InterfaceEnumContextKey](enums/UnionEnumGenerator.InterfaceEnumContextKey/)

## Extensions

-   [ApolloCodegenOptions](extensions/ApolloCodegenOptions/)
-   [ApolloExtension](extensions/ApolloExtension/)
-   [ApolloSchemaOptions](extensions/ApolloSchemaOptions/)
-   [FileHandle](extensions/FileHandle/)
-   [GraphQLType](extensions/GraphQLType/)
-   [JSONValue](extensions/JSONValue/)
-   [JavaScriptError](extensions/JavaScriptError/)
-   [JavaScriptObject](extensions/JavaScriptObject/)

## Typealiases

-   [JSONValue.BooleanLiteralType](typealiases/JSONValue.BooleanLiteralType/)
-   [JSONValue.FloatLiteralType](typealiases/JSONValue.FloatLiteralType/)
-   [JSONValue.IntegerLiteralType](typealiases/JSONValue.IntegerLiteralType/)
-   [JSONValue.StringLiteralType](typealiases/JSONValue.StringLiteralType/)

This file was generated by [SourceDocs](https://github.com/eneko/SourceDocs)